Gtk_MenuFactory(3)

NAME - Gtk_MenuFactory

HEADER REQUIRED
#include <gtk--/menufactory.h&gt;>

PROPERTIES

path
    Type: string

type
    Type: GtkMenuFactoryType

accel_group
    Type: GtkAccelGroup*

widget
    Type: Gtk_Widget*

subfactories
    Type: GList*

     .IP

PUBLIC MEMBER INDEX
    Gtk_MenuFactory(GtkMenuFactoryType type);
    Gtk_MenuFactory(GtkMenuFactory *castitem);
    virtual  ~Gtk_MenuFactory();
    static bool  isGtkMenuFactory(Gtk_Object *checkcast);
    void  add_entries(GtkMenuEntry *entries, int nentries);
    template  Gtk_MenuItem*  add_entry(char *path, char *accelerator, T *target_widget, void (T::*target_method)(char*), char *target_method_arg);
    Gtk_MenuItem * add_entry(char *path, char *accelerator, const MenuFactoryConnectorBase &connector);
    Gtk_MenuItem*  add_entry(char *path, char *accelerator, void (*target_func)());
    void  add_subfactory(Gtk_MenuFactory *subfactory, const string &path);
    void  remove_paths(gchar**paths, int npaths);
    void  remove_entries(GtkMenuEntry *entries, int nentries);
      DON'T USE
    void  remove_subfactory(Gtk_MenuFactory *subfactory, const string &path);
    Gtk_MenuPath * factory_find(const string &path);
      THIS METHOD RETURNS AN ALLOCATED OBJECT
    Gtk_MenuBar*  get_menubar_widget();

PROTECTED MEMBER INDEX
    GtkMenuFactory * gtkmenufactory;

PRIVATE MEMBER INDEX
    Gtk_MenuBar * menubar;
    Gtk_AccelGroup * accel_group;

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS